Skip to content

Gets all of the contact directories in the system.

Request

This method will scan all contact directories and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contactDirectories/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The contact directorieswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
additional_fieldsArray of strings(Additional Fields)

These are additional fields that should be in the directory query, which will be available in the search results

comment_optionsobject(Comment Options)
custom_directory_entry_templatestring(Custom Directory Entry Template)required
custom_search_results_templatestring(Custom Search Results Template)required
custom_sort_fieldsArray of objects, non-emptyrequired
directory_entry_modestring(Directory Entry Mode)
Enum:"custom""do not show""use default"
display_modestring(Display Mode)

The way that the directory should be displayed

Enum:"list""search"
eligibility_criteriaobject(Eligibility Criteria)required

The criteria to use

enable_commentsboolean(Enable Comments)

If set, users are allowed to submit comments in the directory

enable_custom_search_results_templateboolean(Enable Custom Search Results Template)

If set, a custom search results template is displayed

enable_custom_sortingboolean(Enable Custom Sorting)

If true, the directory results will be sorted differently that the query

enable_eligibility_criteriaboolean(Enable Eligibility Criteria)

If set, only certain people can access this directory

enable_messagingboolean(Enable Messaging)

When true, users are able to contact other users through the directory

enable_query_expression_filterboolean(Enable Query Expression Filter)

If set to true, an expression can be used to further filter the query

enable_query_filterboolean(Enable Query Filter)

If set to true, the directory can display a subset of records based on the provided filter. If false, the default filter is used

idstring(ID)^[\w|-]+$required

The unique, string identifier of this contact directory

is_activeboolean(Is Active)

Whether or not this directory is active

is_publicboolean(Is Public)

If true, this is a public directory that can be accessed without security

namestring(Name)required

The name of the contact directory

page_sizenumber, (float), [ 1 .. 50 ](Page Size)

The page size, used for server side page and to combat scraping attacks

query_filter_expressionstring(Query Filter Expression)required

The expression to use to filter the directory

query_filter_rulesobject(Query Filter Rules)
radius_search_optionsobject(Radius Search Options)required
refresh_periodnumber, (float), >= 5(Refresh Period)

The period of time (in minutes) after which the directory should refresh it self

searchable_fieldsArray of objects, non-emptyrequired

The fields in the directory that are displayed as search criteria

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

]
Response
[ { "additional_fields": [ … ], "comment_options": { … }, "custom_directory_entry_template": "string", "custom_search_results_template": "string", "custom_sort_fields": [ … ], "directory_entry_mode": "custom", "display_mode": "list", "eligibility_criteria": { … }, "enable_comments": true, "enable_custom_search_results_template": true, "enable_custom_sorting": true, "enable_eligibility_criteria": true, "enable_messaging": true, "enable_query_expression_filter": true, "enable_query_filter": true, "enable_radius_search": true, "id": "string", "is_active": true, "is_public": true, "name": "string", "page_size": 1, "query_filter_expression": "string", "query_filter_rules": {}, "radius_search_options": { … }, "refresh_period": 5, "searchable_fields": [ … ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 } ]